Bug 1318677 - Live USB creator cannot be launched in a graphical way
Summary: Live USB creator cannot be launched in a graphical way
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: liveusb-creator
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Luke Macken
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-03-17 13:38 UTC by Couret Charles-Antoine
Modified: 2016-09-20 02:47 UTC (History)
5 users (show)

Fixed In Version: liveusb-creator-3.93.3-1.fc24
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-04-26 16:34:46 UTC


Attachments (Terms of Use)

Description Couret Charles-Antoine 2016-03-17 13:38:06 UTC
In F24 updated, if I want to launch Live USB creator by Gnome Overview or Gnome Software. Nothing happened.

If I use my terminal (root session obviously) to launch LiveUSB creator: the software appeared!

In graphical case, I don't have the root's password request. With Fedora < 24, I have this popup and it works correctly. I think the problem is here. I don't have ABRT notification to show a crash of this software.

Comment 1 Gabriel PREDA 2016-03-24 20:43:53 UTC
I think this might be due to Wayland switch.

I'm on Fedora 23 on Wayland and it says:

[eRadical@acasa ~]$ sudo liveusb-creator
No protocol specified
liveusb-creator: cannot connect to X server :0

Comment 2 Gabriel PREDA 2016-03-24 20:46:47 UTC
I now switched to classical Gnome and it works!

Comment 3 Couret Charles-Antoine 2016-03-27 13:20:51 UTC
No, my bug concerned only the graphical way to start liveusb-creator under Gnome environment. This bug happened with Xorg session too.

I can start this application via gnome-terminal (like you), but I cannot use the graphical Gnome launcher to start it... I cannot have the popup to enter my root password in this case.

Comment 4 Fedora Update System 2016-04-21 16:12:37 UTC
liveusb-creator-3.93.1-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ff4136b90c

Comment 5 Fedora Update System 2016-04-21 16:13:47 UTC
liveusb-creator-3.93.1-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ff4136b90c

Comment 6 Fedora Update System 2016-04-21 21:59:38 UTC
liveusb-creator-3.93.1-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ff4136b90c

Comment 7 Fedora Update System 2016-04-22 17:06:49 UTC
liveusb-creator-3.93.2-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ff4136b90c

Comment 8 Fedora Update System 2016-04-24 01:25:21 UTC
liveusb-creator-3.93.2-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ff4136b90c

Comment 9 Fedora Update System 2016-04-26 08:13:36 UTC
liveusb-creator-3.93.3-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ff4136b90c

Comment 10 Fedora Update System 2016-04-26 16:23:41 UTC
liveusb-creator-3.93.3-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ff4136b90c

Comment 11 Fedora Update System 2016-04-26 16:33:11 UTC
liveusb-creator-3.93.3-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.